Incorporate buzz distance into pedit

Discussion in 'AutoCAD' started by dhadley, Apr 8, 2005.

  1. dhadley

    dhadley Guest

    Wondering if there is a way to customize the pedit, convert to pline, join command where buzz is already preset so you don't need to go through 'multiple' all the time. Often find when we offset lines/arcs, that we can't join without setting the buzz (they are at the same end point, it's because we work in UTM coordinates, miles away from 0,0,0).

    Just a whole pile of steps that I'd rather be able to reduce.

    Thoughts, suggestions?
    TIA
     
    dhadley, Apr 8, 2005
    #1
  2. dhadley

    Casey Guest

    You may have more luck with a 'F'uzz distance....
     
    Casey, Apr 8, 2005
    #2
  3. dhadley

    Jeff Mishler Guest

    As suggested by Casey, Fuzz is the correct terminalogy......and here's a
    little lisp that does what you need.....just change the hardcoded fuzz value
    to what you prefer.
    Code:
    (defun c:pedit2 (/ ss fuzz)
    (setq fuzz 0.0001) ;; CHANGE AS DESIRED
    (prompt "\nSelect Objects to Join Together.....")
    (setq ss (ssget '((0 . "lwpolyline,polyline,line,arc"))))
    (if (ssget "p" '((0 . "line,arc")))
    (command "pedit" "m" ss "" "y" "j" fuzz "")
    (command "pedit" "m" ss "" "j" fuzz "")
    )
    (princ)
    )
    
     
    Jeff Mishler, Apr 8, 2005
    #3
  4. dhadley

    dhadley Guest

    So that's why it wouldn't work....doh....yeah, fuzz was what I meant to say!
    That lisp works great! Thanks very much!
     
    dhadley, Apr 8, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.